///File : MainFrame.hpp
//------------------------------------------------------------------------------
/*
    This file is part of resistancevalue.

    Resistancevalue is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Resistancevalue is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with resistancevalue.  If not, see <http://www.gnu.org/licenses/>.
*/
//------------------------------------------------------------------------------
#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif
//------------------------------------------------------------------------------
#include <wx/notebook.h>
#include <wx/stdpaths.h>
//------------------------------------------------------------------------------
#include "MainPanel.hpp"
//------------------------------------------------------------------------------

#if not defined MAIN_FRAME_HPP_RESISTANCE_VALUE
#define MAIN_FRAME_HPP_RESISTANCE_VALUE

class MainFrame : public wxFrame
{
public:
    MainFrame(const wxString& title, const wxPoint& pos, const wxSize& size, long style = wxDEFAULT_FRAME_STYLE);
    void OnQuit(wxCommandEvent& event);
    void OnAbout(wxCommandEvent& event);
protected:
    wxNotebook *m_MainNotebook;
    PanelResistanceColorToValue *m_MyPanelResistanceColorToValue;
    PanelResistanceValueToColor *m_MyPanelResistanceValueToColor;

    wxMenu *m_FileMenu, *m_HelpMenu;
    wxMenuBar *m_MenuBar;

    //DECLARE_EVENT_TABLE()
};

#endif //MAIN_FRAME_HPP_RESISTANCE_VALUE
